/*
 * LivraisonNB.java
 *
 * Created on 30 octobre 2008, 12:40
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class LivraisonNib extends JPanelCocktail {
    
    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAjouterBiens() {
		return jButtonCocktailAjouterBiens;
	}

	public void setJButtonCocktailAjouterBiens(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAjouterBiens) {
		jButtonCocktailAjouterBiens = buttonCocktailAjouterBiens;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAjouterDetailLivraison() {
		return jButtonCocktailAjouterDetailLivraison;
	}

	public void setJButtonCocktailAjouterDetailLivraison(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAjouterDetailLivraison) {
		jButtonCocktailAjouterDetailLivraison = buttonCocktailAjouterDetailLivraison;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnulerLivraison() {
		return jButtonCocktailAnnulerLivraison;
	}

	public void setJButtonCocktailAnnulerLivraison(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnulerLivraison) {
		jButtonCocktailAnnulerLivraison = buttonCocktailAnnulerLivraison;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailCreerLivraison() {
		return jButtonCocktailCreerLivraison;
	}

	public void setJButtonCocktailCreerLivraison(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailCreerLivraison) {
		jButtonCocktailCreerLivraison = buttonCocktailCreerLivraison;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailFermer() {
		return jButtonCocktailFermer;
	}

	public void setJButtonCocktailFermer(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailFermer) {
		jButtonCocktailFermer = buttonCocktailFermer;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailModifierArticle() {
		return jButtonCocktailModifierArticle;
	}

	public void setJButtonCocktailModifierArticle(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailModifierArticle) {
		jButtonCocktailModifierArticle = buttonCocktailModifierArticle;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailModifierLivraison() {
		return jButtonCocktailModifierLivraison;
	}

	public void setJButtonCocktailModifierLivraison(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailModifierLivraison) {
		jButtonCocktailModifierLivraison = buttonCocktailModifierLivraison;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailRetirerBien() {
		return jButtonCocktailRetirerBien;
	}

	public void setJButtonCocktailRetirerBien(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailRetirerBien) {
		jButtonCocktailRetirerBien = buttonCocktailRetirerBien;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailSupprimerDetail() {
		return jButtonCocktailSupprimerDetail;
	}

	public void setJButtonCocktailSupprimerDetail(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailSupprimerDetail) {
		jButtonCocktailSupprimerDetail = buttonCocktailSupprimerDetail;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesBiensTBV() {
		return mesBiensTBV;
	}

	public void setMesBiensTBV(
			org.cocktail.application.palette.JTableViewCocktail mesBiensTBV) {
		this.mesBiensTBV = mesBiensTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesDetailsLivraisonTBV() {
		return mesDetailsLivraisonTBV;
	}

	public void setMesDetailsLivraisonTBV(
			org.cocktail.application.palette.JTableViewCocktail mesDetailsLivraisonTBV) {
		this.mesDetailsLivraisonTBV = mesDetailsLivraisonTBV;
	}

	public org.cocktail.application.palette.JTableViewCocktail getMesLivraisonsTBV() {
		return mesLivraisonsTBV;
	}

	public void setMesLivraisonsTBV(
			org.cocktail.application.palette.JTableViewCocktail mesLivraisonsTBV) {
		this.mesLivraisonsTBV = mesLivraisonsTBV;
	}

	/** Creates new form LivraisonNB */
    public LivraisonNib() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextFieldCocktail1 = new org.cocktail.application.palette.JTextFieldCocktail();
        jButtonCocktailFermer = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jPanel1 = new javax.swing.JPanel();
        jButtonCocktailCreerLivraison = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailAnnulerLivraison = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailModifierLivraison = new org.cocktail.application.palette.JButtonCocktail();
        jPanel2 = new javax.swing.JPanel();
        jButtonCocktailAjouterDetailLivraison = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailSupprimerDetail = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailModifierArticle = new org.cocktail.application.palette.JButtonCocktail();
        mesLivraisonsTBV = new org.cocktail.application.palette.JTableViewCocktail();
        mesBiensTBV = new org.cocktail.application.palette.JTableViewCocktail();
        mesDetailsLivraisonTBV = new org.cocktail.application.palette.JTableViewCocktail();
        jButtonCocktailAjouterBiens = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailRetirerBien = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();

        jTextFieldCocktail1.setBackground(new java.awt.Color(128, 255, 255));
        jTextFieldCocktail1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextFieldCocktail1.setEditable(false);
        jTextFieldCocktail1.setText("GESTION DES LIVRAISONS");

        jButtonCocktailFermer.setText("Fermer");

        jLabelCocktail1.setText("Liste des livraisons de votre commande : ");

        jButtonCocktailCreerLivraison.setText("Ajouter");

        jButtonCocktailAnnulerLivraison.setText("Supprimer");
        jButtonCocktailAnnulerLivraison.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAnnulerLivraisonActionPerformed(evt);
            }
        });

        jButtonCocktailModifierLivraison.setText("Modifier");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jButtonCocktailCreerLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButtonCocktailModifierLivraison, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 101, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButtonCocktailAnnulerLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jButtonCocktailCreerLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jButtonCocktailModifierLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jButtonCocktailAnnulerLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        jButtonCocktailAjouterDetailLivraison.setText("Ajouter");

        jButtonCocktailSupprimerDetail.setText("Supprimer");
        jButtonCocktailSupprimerDetail.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailSupprimerDetailActionPerformed(evt);
            }
        });

        jButtonCocktailModifierArticle.setText("Modifier");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jButtonCocktailAjouterDetailLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButtonCocktailModifierArticle, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 101, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButtonCocktailSupprimerDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 109, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jButtonCocktailAjouterDetailLivraison, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jButtonCocktailModifierArticle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jButtonCocktailSupprimerDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        jButtonCocktailAjouterBiens.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAjouterBiensActionPerformed(evt);
            }
        });

        jButtonCocktailRetirerBien.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailRetirerBienActionPerformed(evt);
            }
        });

        jLabelCocktail2.setText("Details de la livraison :");

        jLabelCocktail3.setText("Liste des biens");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(593, 593, 593))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(377, 377, 377))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(476, 476, 476))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jTextFieldCocktail1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 631, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, mesLivraisonsTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 737, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(mesDetailsLivraisonTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 457, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jButtonCocktailAjouterBiens, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, Short.MAX_VALUE)
                                    .add(jButtonCocktailRetirerBien, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, Short.MAX_VALUE)))
                            .add(layout.createSequentialGroup()
                                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(135, 135, 135)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(137, 137, 137))
                            .add(mesBiensTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 231, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jTextFieldCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(mesLivraisonsTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 207, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(12, 12, 12)
                        .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(18, 18, 18)
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(47, 47, 47)
                        .add(jButtonCocktailAjouterBiens, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 28, Short.MAX_VALUE)
                        .add(jButtonCocktailRetirerBien, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(37, 37, 37))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(mesDetailsLivraisonTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 162, Short.MAX_VALUE)
                            .add(mesBiensTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 162, Short.MAX_VALUE))))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailAnnulerLivraisonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAnnulerLivraisonActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAnnulerLivraisonActionPerformed

    private void jButtonCocktailSupprimerDetailActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailSupprimerDetailActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailSupprimerDetailActionPerformed

    private void jButtonCocktailAjouterBiensActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAjouterBiensActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAjouterBiensActionPerformed

    private void jButtonCocktailRetirerBienActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailRetirerBienActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailRetirerBienActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAjouterBiens;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAjouterDetailLivraison;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnulerLivraison;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailCreerLivraison;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailFermer;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailModifierArticle;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailModifierLivraison;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailRetirerBien;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailSupprimerDetail;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public javax.swing.JPanel jPanel1;
    public javax.swing.JPanel jPanel2;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail1;
    public org.cocktail.application.palette.JTableViewCocktail mesBiensTBV;
    public org.cocktail.application.palette.JTableViewCocktail mesDetailsLivraisonTBV;
    public org.cocktail.application.palette.JTableViewCocktail mesLivraisonsTBV;
    // End of variables declaration//GEN-END:variables
    
}
